Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application.push.impl.jms
Class MessagingContext

    java.lang.Object
      org.richfaces.application.push.impl.jms.MessagingContext

    public class MessagingContext

extends java.lang.Object

Author:
  Nick Belaevski

Constructor Summary
`MessagingContext(javax.naming.InitialContext initialContext, javax.naming.Name connectionFactoryName, javax.naming.Name topicsNamespace, java.lang.String applicationName, java.lang.String username, java.lang.String password)`

Method Summary
`javax.jms.Session` | `createSession()`
`javax.jms.TopicSubscriber` | `createTopicSubscriber(org.richfaces.application.push.Session pushSession, javax.jms.Session jmsSession, java.util.Map.Entry<org.richfaces.application.push.TopicKey,java.util.Collection<org.richfaces.application.push.TopicKey>> entry)`
`javax.jms.Connection` | `getConnection()`
`static MessagingContext` | `getSharedInstance(javax.servlet.ServletContext servletContext)`
`java.lang.String` | `getSubscriptionClientId(org.richfaces.application.push.Session session, org.richfaces.application.push.TopicKey topicKey)`
`javax.jms.Topic` | `lookup(org.richfaces.application.push.TopicKey topicKey)`
`void` | `shareInstance(javax.faces.context.FacesContext facesContext)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessagingContext

    public MessagingContext(javax.naming.InitialContext initialContext,
                            javax.naming.Name connectionFactoryName,
                            javax.naming.Name topicsNamespace,
                            java.lang.String applicationName,
                            java.lang.String username,
                            java.lang.String password)

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getConnection

    public javax.jms.Connection getConnection()

### lookup

    public javax.jms.Topic lookup(org.richfaces.application.push.TopicKey topicKey)
                           throws javax.naming.NamingException

  Throws:
    `javax.naming.NamingException`

### createSession

    public javax.jms.Session createSession()
                                    throws javax.jms.JMSException

  Throws:
    `javax.jms.JMSException`

### getSubscriptionClientId

    public java.lang.String getSubscriptionClientId(org.richfaces.application.push.Session session,
                                                    org.richfaces.application.push.TopicKey topicKey)

### shareInstance

    public void shareInstance(javax.faces.context.FacesContext facesContext)

### getSharedInstance

    public static MessagingContext getSharedInstance(javax.servlet.ServletContext servletContext)

### createTopicSubscriber

    public javax.jms.TopicSubscriber createTopicSubscriber(org.richfaces.application.push.Session pushSession,
                                                           javax.jms.Session jmsSession,
                                                           java.util.Map.Entry<org.richfaces.application.push.TopicKey,java.util.Collection<org.richfaces.application.push.TopicKey>> entry)
                                                    throws javax.jms.JMSException,
                                                           javax.naming.NamingException

  Throws:
    `javax.jms.JMSException`
    `javax.naming.NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.